Bug 1227504

Summary: Boot Failure on Intel Atom Z3736F
Product: [Fedora] Fedora Reporter: Daniel Bergløv <d.bergloev>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: dkopecek, gansalmon, itamar, jonathan, kernel-maint, krall.dennis, madhu.chinakonda, mchehab, public
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 14:29:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Daniel Bergløv 2015-06-02 20:07:42 UTC
I recently bought an HP Pavilion X2 10.1 inch Tablet with the Z3736F Atom Baytrail Chipset. I read online that these devices should be able to boot Linux without major changes, and being that this is Intel devices, it seamed obvious as Intel usually works on Linux. But the devices that I read about, was an older Z3735F chipset from 2014, mine is using a newer 2015 Z3736F version and this does not play well with Linux. 

The major problem for now is that every time the kernel switches framebuffer during boot, I think to some intelfb device, the screen goes black and the device seams to freeze (not easy to see without a display). If I reboot like 100 times, I some times manage to get it to boot properly (Only tried twice as it takes a lot of reboots). So the issue is kind of random (Although mostly non-working). There are of cause a few other issues when within Gnome, but those are easier to locate once I can boot into the desktop. 

I know my way around a shell and I am a developer (Web and Android), so I don't have a problem with technical work. But I will need some pointers as to what information is needed for someone to locate and fix this issue, and to get it fixed as well. 

So if someone could help me get rid of this damn Windows installation on the Tablet, that would be really great. Can't really use it for much without my normal environment and programs.

Comment 1 Daniel Bergløv 2015-06-02 20:34:24 UTC
The boot problem more specifically is "Switching to inteldrmfb" at which point the screen goes dark.

Comment 2 public 2015-09-20 20:24:14 UTC
Had the same problem with Debian and kernel 4.1.0.

As a workaround, disable KMS via kernel commandline.
Remove "quiet" and add the following to the kernel bootparameters in the grub menu:

nomodeset i915.modeset=0

(I assume that your X2 also has a i915 intel graphic chip as has mine)

Comment 3 Daniel Bergløv 2015-09-21 19:06:03 UTC
(In reply to public from comment #2)
> Had the same problem with Debian and kernel 4.1.0.
> 
> As a workaround, disable KMS via kernel commandline.
> Remove "quiet" and add the following to the kernel bootparameters in the
> grub menu:
> 
> nomodeset i915.modeset=0
> 
> (I assume that your X2 also has a i915 intel graphic chip as has mine)

Yes disabling KMS will allow it to boot, but after a few minutes after boot, the device freezes. No way to tell why, as I cannot check any logs on a frozen device.

Comment 4 Daniel Kopeček 2015-09-22 08:22:36 UTC
Hello,

(In reply to Daniel Bergløv from comment #3)
> (In reply to public from comment #2)
> > Had the same problem with Debian and kernel 4.1.0.
> > 
> > As a workaround, disable KMS via kernel commandline.
> > Remove "quiet" and add the following to the kernel bootparameters in the
> > grub menu:
> > 
> > nomodeset i915.modeset=0
> > 
> > (I assume that your X2 also has a i915 intel graphic chip as has mine)
> 
> Yes disabling KMS will allow it to boot, but after a few minutes after boot,
> the device freezes. No way to tell why, as I cannot check any logs on a
> frozen device.

I run Linux on an HP Pavillion x2, it's an Atom Z3736F. My system also freezes after a while (seems to be better with the 4.3-rc kernel). The freeze seems to be related to I2C bus handled by i2c_designware. When I don't load the i2c_designware_* kernel modules it seems to work fine. But there's no battery status indication and no touchscreen.

Comment 5 Justin M. Forbes 2015-10-20 19:35:05 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 6 Daniel Bergløv 2015-10-26 09:17:33 UTC
Well I would love to try this out, but Fedora, despite me posting a report about it back in F21, still does not pack any EFI file for 32bit. I managed ones to find one, but can't seam to locate it any more and have no idea how to make one. Google has not been very helpful.

Comment 7 dkrall 2016-05-03 14:47:09 UTC
Unfortunately, this seems to be an issue in Fedora 22, 23 and 24 alpha/beta with all kernels available from fedora. As described in the first comment, the screen will go dark right before the entire system freezes. Disabling c-states before boot seems to help occasionally.

Comment 8 Fedora End Of Life 2016-07-19 14:29:51 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.